Refresh data
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/refresh \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/refresh"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Refresh data
Update all data items. HEADs all underlying buckets to retrieve the last file information. Use this API after uploading data directly to S3. If your dataset has bucketId and bucketPath set then this will also remove items that have been removed from S3.
POST
/
api
/
organizations
/
{organizationId}
/
data
/
refresh
Refresh data
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Query Parameters
Selected dataset
Was this page helpful?
⌘I